DeleteEnvironment - Amazon WorkSpaces Thin Client

DeleteEnvironment

Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

Deletes an environment.

Request Syntax

DELETE /environments/id?clientToken=clientToken HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

clientToken

Specifies a unique, case-sensitive identifier that you provide to ensure the idempotency of the request. This lets you safely retry the request without accidentally performing the same operation a second time. Passing the same value to a later call to an operation requires that you also pass the same value for all other parameters. We recommend that you use a UUID type of value.

If you don't provide this value, then AWS generates a random one for you.

If you retry the operation with the same ClientToken, but with different parameters, the retry fails with an IdempotentParameterMismatch error.

Length Constraints: Minimum length of 1. Maximum length of 512.

id

The ID of the environment to delete.

Pattern: [a-z0-9]{9}

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 204

Response Elements

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException
Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

You do not have sufficient access to perform this action.

HTTP Status Code: 403

ConflictException
Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

The requested operation would cause a conflict with the current state of a service resource associated with the request. Resolve the conflict before retrying this request.

resourceId

The ID of the resource associated with the request.

resourceType

The type of the resource associated with the request.

HTTP Status Code: 409

InternalServerException
Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

The server encountered an internal error and is unable to complete the request.

retryAfterSeconds

The number of seconds to wait before retrying the next request.

HTTP Status Code: 500

ResourceNotFoundException
Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

The resource specified in the request was not found.

resourceId

The ID of the resource associated with the request.

resourceType

The type of the resource associated with the request.

HTTP Status Code: 404

ThrottlingException
Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

The request was denied due to request throttling.

quotaCode

The code for the quota in Service Quotas.

retryAfterSeconds

The number of seconds to wait before retrying the next request.

serviceCode

The code for the service in Service Quotas.

HTTP Status Code: 429

ValidationException
Important

End of support notice: On March 31, 2027, AWS will end support for Amazon WorkSpaces Thin Client. After March 31, 2027, you will no longer be able to access the WorkSpaces Thin Client console or WorkSpaces Thin Client resources. For more information, see Amazon WorkSpaces Thin Client end of support.

The input fails to satisfy the specified constraints.

fieldList

A list of fields that didn't validate.

reason

The reason for the exception.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: